/***************************************************************************
 *            book-fun.h
 *
 *  Mon Oct 31 20:46:59 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomcio-j@o2.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
/*=====================================================================
 *	Plik zawiera wspolne funkcje dla wszytskich typow ksiazek
 *====================================================================*/
 
#include <gtk/gtk.h>
#include <glib.h>
#include <stdio.h>
#include <sqlite3.h>

void		load_books_titles			(void);

void		refresh_main_list			(void);

	
void		get_author_name				(gchar	*string, gint	id);

gint		get_author_id				(gchar	*string);

void		get_genere_name				(gchar	*string, gint	id);

gint		get_genere_id				(gchar	*string);

void		get_publish_house_name		(gchar	*string, gint	id);

gint		get_publish_house_id		(gchar	*string);
	
void		get_language_name			(gchar	*string, gint	id);

gint		get_language_id				(gchar	*string);

void		get_translator_name			(gchar	*string, gint	id);

gint		get_translator_id			(gchar	*string);
