/***************************************************************************
 *            menage_db-fun.h
 *
 *  Mon Oct 24 17:56:29 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomcio-j@o2.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <gtk/gtk.h>
#include <glib.h>
#include <stdio.h>

/*
 *	Wartosci ponizszej zmiennej znajduja sie w komentarzach w pliku 'menage_db-fun.c'
 */
gint		menage_db_mode;

void		set_menage_db_win_data_type		(GtkWidget	*widget,
											 gint		mode);

void		load_table						(GtkWidget	*widget);

void		add_item						(gchar		*name);

void		remove_item						(gint		item_id,
											 gint		mode);
											 
gboolean	check_if_item_is_used			(gint		item_id,
											 gint		mode);
