/***************************************************************************
 *            interface.h
 *
 *  Fri Oct 21 22:34:49 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomcio-j@o2.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <glade/glade.h>
#include <gtk/gtk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <glib.h>
#include <stdio.h>

/*	Kilka przydatnych wskaznikow	*/
GdkPixbuf	*icon;

GtkWidget	*main_win;



gboolean	load_gui_xml						(void);

void		destroy_window						(GtkWidget	*widget);

GtkWidget	*create_main_win					(void);

GtkWidget	*create_property_dlg				(void);

GtkWidget	*create_about_dlg					(void);

GtkWidget	*create_search_win					(void);

GtkWidget	*create_s_book_win					(gint		mode);

GtkWidget	*create_m_book_win					(gint		mode);

GtkWidget	*create_menage_db_win				(void);

GtkWidget	*create_property_dlg				(void);

GtkWidget	*create_m_volume_dlg				(GtkWidget	*parent,
												 gint		mode);

GtkWidget	*create_book_type_dlg				(void);

void		show_message_dlg					(gchar		*first_text,
												 gchar		*sec_text,
												 gint		dlg_mode);
									 
gboolean	show_question_dlg					(gchar		*first_text,
												 gchar		*sec_text,
												 gint		icon_type);	

void		set_statusbar_text					(gchar		*text);

void		set_widget_sensinitive				(GtkWidget	*widget,
												 gchar		*widget_name,
												 gboolean	status);
