/***************************************************************************
 *            m_book_win-callbacks.h
 *
 *  Sat Oct 22 21:25:39 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomcio-j@o2.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <gtk/gtk.h>
#include <glib.h>
#include <stdio.h>

gboolean
on_m_book_win_delete_event             (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);


void
on_m_first_author_en_changed           (GtkEditable     *editable,
                                        gpointer         user_data);



void
on_books_list_row_activated            (GtkTreeView     *treeview,
                                        GtkTreePath     *path,
                                        GtkTreeViewColumn *column,
                                        gpointer         user_data);
										

void
on_books_list_cursor_changed           (GtkTreeView     *treeview,
                                        gpointer         user_data);


void
on_add_volume_but_clicked              (GtkButton       *button,
                                        gpointer         user_data);


void
on_edit_volume_but_clicked             (GtkButton       *button,
                                        gpointer         user_data);


void
on_remove_select_but_clicked           (GtkButton       *button,
                                        gpointer         user_data);


void
on_remove_unselect_but_clicked         (GtkButton       *button,
                                        gpointer         user_data);


void
on_m_book_cancel_but_clicked           (GtkButton       *button,
                                        gpointer         user_data);


void
on_m_book_save_but_clicked             (GtkButton       *button,
                                        gpointer         user_data);


void
on_m_book_update_but_clicked           (GtkButton       *button,
                                        gpointer         user_data);
										
										
void
on_m_book_same_translators_chbox_clicked
                                        (GtkButton       *button,
                                         gpointer         user_data);

void
on_m_same_first_translator_en_changed
                                        (GtkEditable     *editable,
                                         gpointer         user_data);

void
on_m_book_same_publish_year_check_clicked
                                        (GtkButton       *button,
                                         gpointer         user_data);
