/***************************************************************************
 *            menage_db_win-callbacks.h
 *
 *  Sat Oct 22 14:31:16 2005
 *  Copyright  2005  Tomek Jankowski
 *  Email	tomcio-j@o2.pl
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include <gtk/gtk.h>
#include <glib.h>
#include <stdio.h>

gboolean
on_menage_db_win_delete_event          (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_authors_but_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_generes_but_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_pub_houses_but_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_translators_but_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_languages_but_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_items_list_cursor_changed           (GtkTreeView     *treeview,
                                        gpointer         user_data);

void
on_item_add_but_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_item_remove_but_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_menage_db_close_but_clicked         (GtkButton       *button,
                                        gpointer         user_data);
										
void
on_item_name_en_changed                (GtkEditable     *editable,
                                        gpointer         user_data);
